﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="XEditOrder.aspx.cs" Inherits="SimplifiedShippingSystem.Orders.XEditOrder" %>
<%@MasterType VirtualPath="~/Site.Master" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <style type="text/css">
        .Haz
        { visibility:collapse; }
    </style>
    <script type="text/x-jsrender" id ="templatedList">
        {{for ddList}}
            <span>{{>value}}</span> 
            <span>{{>text}}</span><br />
        {{/for}}
    </script>
    <script type="text/javascript">
        window.onload = function () {
            validateonStart();
        };

        $(document).ready(function () {
            $('#OriginSearchModalDiv').hide();
            $('#DestinationSearchModalDiv').hide();
        });

        function validateonStart() {
            validateContent_Order();
            validateContent_Origin();
            validateContent_Destination();

            validateContent_Accessorials();
        }

        function validateSave() {
            if (!validateContent_Order())
                return false;

            if (!validateContent_Origin())
                return false;

            if (!validateContent_Destination())
                return false;

            return true;
        }
    </script>
    <%-- Origin --%>
    <script type="text/javascript">
        function shipperUpdateSearchBtn_Click() {
            $('#OVER2').show();
            $('#OriginSearchModalDiv').show();
        }

        function shipperSearchModalCloseBtn_Click() {
            $('#OriginSearchModalDiv').hide();
            $('#OVER2').hide();
        }

        function clearShipper() {
            document.getElementById('<%= shipperAddressIDTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgNameTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgLocCodeTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgAddr1Tb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgAddr2Tb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgCityTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgUSStateDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveOrgCAStateDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveOrgMXStateDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveOrgCountryDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveOrgZipTb.ClientID %>').value = '';

            document.getElementById('<%= moveOrgContactTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgPhoneTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgFaxTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgEmailTb.ClientID %>').value = '';
            document.getElementById('<%= moveOrgInstructionsTb.ClientID %>').value = '';
        }
    </script>
    <%-- destination --%>
    <script type="text/javascript">
        function DconsigneeUpdateSearchBtn_Click() {
            $('#OVER2').show();
            $('#destinationSearchModalDiv').show();
        }

        function DconsigneeSearchModalCloseBtn_Click() {
            $('#destinationSearchModalDiv').hide();
            $('#OVER2').hide();
        }

        function clearConsignee() {
            document.getElementById('<%= consigneeAddressIDTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesNameTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesLocCodeTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesAddr1Tb.ClientID %>').value = '';
            document.getElementById('<%= moveDesAddr2Tb.ClientID %>').value = '';
            document.getElementById('<%= moveDesCityTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesUSStateDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveDesCAStateDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveDesMXStateDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveDesCountryDdl.ClientID %>').selectedIndex = 0;
            document.getElementById('<%= moveDesZipTb.ClientID %>').value = '';

            document.getElementById('<%= moveDesContactTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesPhoneTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesFaxTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesEmailTb.ClientID %>').value = '';
            document.getElementById('<%= moveDesInstructionsTb.ClientID %>').value = '';
        }
    </script>
    <%-- Validate --%>
    <script type="text/javascript">
        function validateContent_Order() {
            var SummaryMessage = '';
            var emailOk = $('#<%=priEmailTb.ClientID %>').val() != '' ? true : false;
            var billToOk = $('#<%=billToTypeDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            var pmtMethOk = $('#<%=methodOfPmtDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;

            if (!emailOk) SummaryMessage += ' Primary e-mail is missing.';
            if (!billToOk) SummaryMessage += ' Bill to Type is not selected.';
            if (!pmtMethOk) SummaryMessage += ' Method Of Payment is not selected.';

            var form = $('#<%=orderHasError.ClientID %>');

            if (emailOk && billToOk && pmtMethOk) {
                form.val('false');
                SummaryMessage = 'Order refrance: ' + $('#<%=refNumberTb.ClientID %>').val();
            }
            else
                form.val('true');

            if (form.val() == 'false') {
                $("#OrderDetailsImg").attr("class", "okIcon");
                return true;
            }
            else {
                $("#OrderDetailsImg").attr("class", "errorIcon");
                setContent('Order', SummaryMessage);  //Accordion
                var t = document.getElementById('<%= OrderLabel.ClientID %>');
                t.innerText = SummaryMessage;
                return false;
            }
        }

        function validateContent_Origin() {
            var SummaryMessage = '';
            var namesOk = $('#<%=moveOrgNameTb.ClientID %>').val() != '' ? true : false;
            var addr1Ok = $('#<%=moveOrgAddr1Tb.ClientID %>').val() != '' ? true : false;
            var cityOk = $('#<%=moveOrgCityTb.ClientID %>').val() != '' ? true : false;
            if ($('#<%=moveOrgCountryDdl.ClientID %>').val() == 'US')
                var orgStateOk = $('#<%=moveOrgUSStateDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            else if ($('#<%=moveOrgCountryDdl.ClientID %>').val() == 'CA')
                var orgStateOk = $('#<%=moveOrgCAStateDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            else if ($('#<%=moveOrgCountryDdl.ClientID %>').val() == 'MX')
                var orgStateOk = $('#<%=moveOrgMXStateDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            var countryOk = $('#<%=moveOrgCountryDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            var zipOk = $('#<%=moveOrgZipTb.ClientID %>').val() != '' ? true : false;

            if (!namesOk) SummaryMessage += ' Origin Name is missing. ';
            if (!addr1Ok) SummaryMessage += ' Origin Street Address is missing. ';
            if (!cityOk) SummaryMessage += ' Origin City is missing. ';
            if (!orgStateOk) SummaryMessage += ' Origin State/Provence is missing. ';
            if (!countryOk) SummaryMessage += ' Origin Country is missing. ';
            if (!zipOk) SummaryMessage += ' Origin Zip/Postal code is missing. ';


            var form = $('#<%=originHasError.ClientID %>');

            if (namesOk && addr1Ok && cityOk && orgStateOk && countryOk && zipOk) {
                form.val('false');
                SummaryMessage = $('#<%=moveOrgNameTb.ClientID %>').val() + '<br/>' + $('#<%=moveOrgAddr1Tb.ClientID %>').val() + '<br/>' + $('#<%=moveOrgCityTb.ClientID %>').val() + ' ' + $('#<%=moveOrgCountryDdl.ClientID %>').val();
                switch ($('#<%=moveOrgCountryDdl.ClientID %>').val()) {
                    case "US":
                        SummaryMessage += ' ' + $('#<%=moveOrgUSStateDdl.ClientID %>')[0].selectedValue;
                        break;
                    case "CA":
                        SummaryMessage += ' ' + $('#<%=moveOrgCAStateDdl.ClientID %>')[0].selectedValue;
                        break;
                    case "MX":
                        SummaryMessage += ' ' + $('#<%=moveOrgMXStateDdl.ClientID %>')[0].selectedValue;
                        break;
                }
                SummaryMessage += ', ' + $('#<%=moveOrgZipTb.ClientID %>').val();
            }
            else
                form.val('true');

            setContent('Origin', SummaryMessage);  //Accordion

            if (form.val() == 'false') {
                $("#OriginDetailsImg").attr("class", "okIcon");
                return true;
            }
            else {
                $("#OriginDetailsImg").attr("class", "errorIcon");
                var t = document.getElementById('<%= OriginLabel.ClientID %>');
                t.innerText = SummaryMessage.replace('<br/>', '  ');
                return false;
            }
        }

        function validateContent_Destination() {
            var SummaryMessage = '';
            var namesOk = ($('#<%=moveDesNameTb.ClientID %>').val() != '') ? true : false;
            var addr1Ok = ($('#<%=moveDesAddr1Tb.ClientID %>').val() != '') ? true : false;
            var cityOk = ($('#<%=moveDesCityTb.ClientID %>').val() != '') ? true : false;

            if ($('#<%=moveDesCountryDdl.ClientID %>').val() == 'US')
                var desStateOk = $('#<%=moveDesUSStateDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            else if ($('#<%=moveDesCountryDdl.ClientID %>').val() == 'CA')
                var desStateOk = $('#<%=moveDesUSStateDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;
            else if ($('#<%=moveDesCountryDdl.ClientID %>').val() == 'MX')
                var desStateOk = $('#<%=moveDesUSStateDdl.ClientID %>')[0].selectedIndex != 0 ? true : false;

            var countryOk = ($('#<%=moveDesCountryDdl.ClientID %>')[0].selectedIndex != 0) ? true : false;
            var zipOk = ($('#<%=moveDesZipTb.ClientID %>').val() != '') ? true : false;
            var form = $('#<%=destinationHasError.ClientID %>');

            if (!namesOk) SummaryMessage += ' Destination Name is missing. ';
            if (!addr1Ok) SummaryMessage += ' Destination Street Address is missing. ';
            if (!cityOk) SummaryMessage += ' Destination City is missing. ';
            if (!desStateOk) SummaryMessage += ' Destination State/Provence is missing. ';
            if (!countryOk) SummaryMessage += ' Destination Country is missing. ';
            if (!zipOk) SummaryMessage += ' Destination Zip/Postal code is missing. ';

            if (namesOk && addr1Ok && cityOk && desStateOk && countryOk && zipOk) {
                form.val('false');

                SummaryMessage = $('#<%=moveDesNameTb.ClientID %>').val() + '<br/>' + $('#<%=moveDesAddr1Tb.ClientID %>').val() + '<br/>' + $('#<%=moveDesCityTb.ClientID %>').val() + ' ' + $('#<%=moveDesCountryDdl.ClientID %>').val();
                switch ($('#<%=moveDesCountryDdl.ClientID %>').val()) {
                    case "US":
                        SummaryMessage += ' ' + $('#<%=moveDesUSStateDdl.ClientID %>')[0].selectedValue;
                        break;
                    case "CA":
                        SummaryMessage += ' ' + $('#<%=moveDesCAStateDdl.ClientID %>')[0].selectedValue;
                        break;
                    case "MX":
                        SummaryMessage += ' ' + $('#<%=moveDesMXStateDdl.ClientID %>')[0].selectedValue;
                        break;
                }
                SummaryMessage += ', ' + $('#<%=moveDesZipTb.ClientID %>').val();
            }
            else
                form.val('true');

            setContent('Destination', SummaryMessage);

            if (form.val() == 'false') {
                $("#DestinationDetailsImg").attr("class", "okIcon");
                return true;
            }
            else {
                document.getElementById('<%=DestinationLabel.ClientID %>').InnerHTML = SummaryMessage;
                $("#DestinationDetailsImg").attr("class", "errorIcon");
                return false;
            }
        }

        function validateContent_Contacts() {
            var SummaryMessage = '';
            setContent('Contacts', SummaryMessage);
        }

        function validateContent_LineItems() {
            var SummaryMessage = '';
            setContent('LineItems', SummaryMessage);
        }

        function validateContent_Refrences() {
            var SummaryMessage = '';
            setContent('Refrences', SummaryMessage);
        }

        function validateContent_Accessorials() {
            var SummaryMessage = document.getElementById('<%=AccessorialsLabel.ClientID %>').InnerHTML;
            setContent('Accessorials', SummaryMessage);
            return true;

        }

        function updateOrderLbls(field) {
            var lblID = field.id.slice(0, field.id.indexOf('_') + 1) + 'sav' + field.id.slice(field.id.indexOf('_') + 1, field.id.length);
            if (field.id.indexOf('Tb') > -1) {
                var lbl = document.getElementById(lblID.replace('Tb', 'Lbl'));
                lbl.innerHTML = field.value;
            }
            else if (field.id.indexOf('Ddl') > -1) {
                var lbl = document.getElementById(lblID.replace('Ddl', 'Lbl'));
                lbl.innerHTML = field.options[field.selectedIndex].text;
            }
        }

        function requiredFieldSatisfied(inputField) {
            if (inputField.id.indexOf('Tb') > -1) {
                var input = $(inputField).val();
                if (input.length > 0)
                    $(inputField).attr('class', 'requiredFieldOk');
                else
                    $(inputField).attr('class', 'requiredField');
            }
            else if (inputField.id.indexOf('Ddl') > -1) {
                var select = inputField.selectedIndex;
                if (select > 0)
                    $(inputField).attr('class', 'requiredFieldOk');
                else
                    $(inputField).attr('class', 'requiredField');
            }
        }

        function updateShipmentLbls(field) {
            var lblID = field.id.replace('move', 'sav');
            if (field.id.indexOf('State') > -1) {
                var lbl = document.getElementById(lblID.replace('US', '').replace('CA', '').replace('MX', '').replace('Ddl', 'Lbl'));
                lbl.innerHTML = field.options[field.selectedIndex].text;
            }
            else {
                if (field.id.indexOf('Tb') > -1) {
                    var lbl = document.getElementById(lblID.replace('Tb', 'Lbl'));
                    lbl.innerHTML = field.value;
                }
                else if (field.id.indexOf('Ddl') > -1) {
                    var lbl = document.getElementById(lblID.replace('Ddl', 'Lbl'));
                    lbl.innerHTML = field.options[field.selectedIndex].text;
                }
            }
        }
    </script>
     <%--accordionn--%>
    <script type="text/javascript">
        /* syncfusion example AccordionCustom_146633 */
        $(function () {
            $("#OrderAccordion .e-content").each(function (length) {
                var summary = '#s' + Accordion_content(length);
                if (length == 0) {
                    $(summary).insertAfter($("#OrderAccordion .e-content")[length]);
                    $(summary).hide();
                }
                else
                    $(summary).insertAfter($("#OrderAccordion .e-content")[length]);
            });
        });

        function onInActivate(args) {
            var target = Accordion_content(args.inActiveIndex);
            //validateStatus(target);
            $('#s' + target).show();
        }

        function onActivate(args) {
            if (args.activeIndex != undefined) {
                var target = '#s' + Accordion_content(args.activeIndex);
                $(target).hide();
            }
        }

        function Accordion_content(content) {
            var result = 'x';
            switch (content) {
                case 0:
                    result = 'Order';
                    break;
                case 1:
                    result = 'Origin';
                    break;
                case 2:
                    result = 'Destination';
                    break;
                case 3:
                    result = 'Contacts';
                    break;
                case 4:
                    result = 'LineItems';
                    break;
                case 5:
                    result = 'References';
                    break;
                case 6:
                    result = 'Accessorials';
                    break;
                case 7:
                    result = 'Review';
                    break;
            };
            return result;
        }

        function setContent(id, htmldata) {
            var t = document.getElementById('s' + id);
            t.innerHTML = id + ': ' + htmldata;
        };
    </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="BodyContent" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePartialRendering="true" ></asp:ScriptManager>
    <div id="ColumnContainer" class="Container_Columns">
        <div id="header" class="header" />
        <div id="short" class="Colunm_2_Left_10">
            <p><b>floating bar</b></p>
        </div>
        <div id="wide" class="Colunm_2_Right_80">
            <p><asp:Button ID="SaveOrder" runat="server" Text="SaveOrder" OnClientClick="return validateSave();" OnClick="saveOrder"/></p>
            <asp:HiddenField ID="OrderModifiedHiddenField" runat="server" Value="false" />
            <asp:HiddenField ID="MovementIDHiddenField" runat="server" Value="false" />
            <p id="sOrder">Order Summary</p>
            <p id="sOrigin">Origin Address</p>
            <p id="sDestination">Destination Address</p>
            <p id="sContacts">Contacts Summary</p>
            <p id="sLineItems">Line Items Summary</p>
            <p id="sReferences">References Summary</p>
            <p id="sAccessorials">Accessorials Summary</p>
            <p id="sReview">Review Summary</p>
            <ej:Accordion ID="OrderAccordion" runat="server" EnableMultipleOpen="false" ClientSideOnClick="onActivate" ClientSideOnBeforeClick="onInActivate">
                <Items>
                    <ej:AccordionItem Text="Order">
                        <ContentSection>
                            <asp:UpdatePanel ID="UpdatePanelOM" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <table style="width: 77%; margin: 0 auto 0 auto" class="dTable">
                                        <tr>
                                            <th>
                                                Reference Number
                                            </th>
                                            <td>
                                                <asp:TextBox ID="refNumberTb" runat="server" MaxLength="30" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="refNumberErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                Shipper Number
                                            </th>
                                            <td>
                                                <asp:TextBox ID="shipperNumberTb" runat="server" MaxLength="30" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="shipperNumberLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                &nbsp;
                                            </th>
                                            <td>
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Sales Group
                                            </th>
                                            <td>
                                                <asp:TextBox ID="salesGroupTb" runat="server" MaxLength="25" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="salesGroupErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Primary Contact Email
                                                <img src="../Images/asterisk.png" class="requiredIcon" />
                                            </th>
                                            <td>
                                                <asp:TextBox ID="priEmailTb" runat="server" MaxLength="50" onchange="requiredFieldSatisfied(this); updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="priEmailErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                Secondary Contact Email
                                            </th>
                                            <td>
                                                <asp:TextBox ID="secEmailTb" runat="server" MaxLength="50" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="secEmailErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Supplier ID
                                            </th>
                                            <td>
                                                <asp:TextBox ID="supplierIDTb" runat="server" MaxLength="50" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="supplierIDErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                Customer ID
                                            </th>
                                            <td>
                                                <asp:TextBox ID="customerIDTb" runat="server" MaxLength="50" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="customerIDErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Bill-To Type
                                                <img src="../Images/asterisk.png" class="requiredIcon" />
                                            </th>
                                            <td>
                                                <asp:DropDownList ID="billToTypeDdl" runat="server" onchange="requiredFieldSatisfied(this); updateOrderLbls(this)">
                                                    <asp:ListItem Value="">Select...</asp:ListItem>
                                                    <asp:ListItem Value="CO">Consignee</asp:ListItem>
                                                    <asp:ListItem Value="SH">Shipper</asp:ListItem>
                                                    <asp:ListItem Value="TS">Simplified</asp:ListItem>
                                                    <asp:ListItem Value="TO">3rd Party</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                            <th>
                                                Method of Payment
                                                <img src="../Images/asterisk.png" class="requiredIcon" />
                                            </th>
                                            <td>
                                                <asp:DropDownList ID="methodOfPmtDdl" runat="server" onchange="requiredFieldSatisfied(this); updateOrderLbls(this)">
                                                    <asp:ListItem Value="">Select...</asp:ListItem>
                                                    <asp:ListItem Value="C">Collect</asp:ListItem>
                                                    <asp:ListItem Value="P">Prepaid</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Origination Date
                                            </th>
                                            <td>
                                                <asp:TextBox ID="orderOrgDateTb" runat="server" CssClass="dateTextBox" Width="141px" onchange="updateOrderLbls(this)"></asp:TextBox>
                                            </td>
                                            <th>
                                                Inbound / Outbound
                                            </th>
                                            <td>
                                                <asp:DropDownList ID="IODdl" runat="server" onchange="updateOrderLbls(this)">
                                                    <asp:ListItem Value="">Select...</asp:ListItem>
                                                    <asp:ListItem Value="I">Inbound</asp:ListItem>
                                                    <asp:ListItem Value="O">Outbound</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Planning Rule
                                            </th>
                                            <td>
                                                <asp:TextBox ID="planningRuleTb" runat="server" MaxLength="25" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="planningRuleErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                Preferred Carrier
                                            </th>
                                            <td>
                                                <asp:TextBox ID="prefCarrierTb" runat="server" MaxLength="4" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="prefCarrierErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Currency
                                            </th>
                                            <td>
                                                <asp:TextBox ID="currencyTb" runat="server" MaxLength="3" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="currencyErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                &nbsp;
                                            </th>
                                            <td>
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Comments
                                            </th>
                                            <td colspan="3">
                                                <asp:TextBox ID="orderCommentsTb" runat="server" TextMode="MultiLine" Width="98%" MaxLength="1000" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="orderCommentsErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                                <asp:HiddenField ID="orderHasError" runat="server" Value="false" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                ON HOLD
                                            </th>
                                            <td>
                                                <asp:DropDownList ID="orderOnHoldDDL" runat="server" onchange="updateOrderLbls(this)">
                                                    <asp:ListItem Value="True">Yes</asp:ListItem>
                                                    <asp:ListItem Value="False" Selected="True">No</asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                            <th>
                                                &nbsp;
                                            </th>
                                            <td>
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </table>
                                    <asp:HiddenField ID="OrderIDHiddenField" runat="server" />
                                    <br />
                                    <table style="width: 77%; margin: 0 auto 0 auto" class="dTable">
                                        <tr>
                                            <th>
                                                Ship with Reference
                                            </th>
                                            <td>
                                                <asp:TextBox ID="moveShipWithRefTb" runat="server" MaxLength="30" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="moveShipWithRefErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                Linear Feet
                                            </th>
                                            <td>
                                                <asp:TextBox ID="moveLinearFeetTb" runat="server" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="moveLinearFeetErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Available for Pickup
                                            </th>
                                            <td>
                                                <asp:TextBox ID="moveAvailPickupTb" runat="server" onchange="updateOrderLbls(this)"></asp:TextBox>
                                            </td>
                                            <th>
                                                Requested Delivery
                                            </th>
                                            <td>
                                                <asp:TextBox ID="moveReqDeliveryTb" runat="server" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="moveDatesErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                COD Amount
                                            </th>
                                            <td>
                                                <asp:TextBox ID="moveCodAmtTb" runat="server" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="moveCodAmtErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                Total Value
                                            </th>
                                            <td>
                                                <asp:TextBox ID="moveTotalValTb" runat="server" onchange="updateOrderLbls(this)"></asp:TextBox>
                                                <asp:Label ID="moveTotalValErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                COD Check
                                            </th>
                                            <td>
                                                <asp:DropDownList ID="moveCodCheckDdl" runat="server" onchange="updateOrderLbls(this)">
                                                    <asp:ListItem Value="" Text="Select..."></asp:ListItem>
                                                    <asp:ListItem Value="true">Yes</asp:ListItem>
                                                    <asp:ListItem Value="false">No</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:Label ID="moveCodCheckErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                            <th>
                                                COD Terms
                                            </th>
                                            <td>
                                                <asp:DropDownList ID="moveCodTermsDdl" runat="server" onchange="updateOrderLbls(this)">
                                                    <asp:ListItem Value="c" Selected="True">Collect</asp:ListItem>
                                                    <asp:ListItem Value="p">Prepaid</asp:ListItem>
                                                </asp:DropDownList>
                                                <asp:Label ID="moveCodTermsErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                        <tr>
                                            <th>
                                                Comments
                                            </th>
                                            <td colspan="3">
                                                <asp:TextBox ID="moveCommentsTb" runat="server" TextMode="MultiLine" MaxLength="1000"
                                                    onchange="updateOrderLbls(this)" Width="95%"></asp:TextBox>
                                                <asp:Label ID="moveCommentsErrLbl" runat="server" ForeColor="Red"></asp:Label>
                                            </td>
                                        </tr>
                                    </table>
                                    <asp:Label ID="OrderLabel" runat="server"></asp:Label>
                                </ContentTemplate>
                            </asp:UpdatePanel>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="Origin">
                        <ContentSection>
                            <div id="OriginSection">
                                <asp:UpdatePanel ID="OriginUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <asp:HiddenField ID="HiddenField1" runat="server" Value="" />
                                        <asp:HiddenField ID="OrderMovementIDHiddenField" runat="server" Value="" />
                                        <asp:HiddenField ID="MovementOrgAddrIDHiddenField" runat="server" Value="" />
                                        <table style="width: 100%">
                                            <tr>
                                                <th colspan="2">
                                                    Company Name<img src="../Images/asterisk.png" class="requiredIcon" />/ Location
                                                    Code
                                                </th>
                                                <td>
                                                    <%-- img id="orgLocSearch" src="..\Images\searchIcon.png" class="locSearchIcon" onclick="shipperUpdateSearchBtn_Click()" / --%>&nbsp;&nbsp;
                                                    <a href="javascript:clearShipper()">Clear</a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:TextBox ID="shipperAddressIDTb" runat="server" ReadOnly="true" Style="display: none;"></asp:TextBox>
                                                    <asp:TextBox ID="moveOrgNameTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                    <asp:TextBox ID="moveOrgLocCodeTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Address
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveOrgAddr1Tb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveOrgAddr2Tb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Country
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:DropDownList ID="moveOrgCountryDdl" runat="server" onchange="loadStates(this)">
                                                    </asp:DropDownList>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th colspan="3">
                                                    City / State / Zip
                                                </th>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:TextBox ID="moveOrgCityTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                    <asp:DropDownList ID="moveOrgUSStateDdl" runat="server" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)">
                                                    </asp:DropDownList>
                                                    <asp:DropDownList ID="moveOrgCAStateDdl" runat="server" Style="display: none" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)">
                                                    </asp:DropDownList>
                                                    <asp:DropDownList ID="moveOrgMXStateDdl" runat="server" Style="display: none" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)">
                                                    </asp:DropDownList>
                                                    <asp:TextBox ID="moveOrgZipTb" runat="server" MaxLength="10" Width="90px" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Contact
                                                </th>
                                                <th>
                                                    Phone
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveOrgContactTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="moveOrgPhoneTb" runat="server" MaxLength="30" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Fax
                                                </th>
                                                <th>
                                                    Email
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveOrgFaxTb" runat="server" MaxLength="30" Width="200px"></asp:TextBox>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="moveOrgEmailTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Open Time
                                                </th>
                                                <th>
                                                    Close Time
                                                </th>
                                                <th>
                                                    Time Zone
                                                </th>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveOrgTimeOpenTb" runat="server" Width="80px" onchange="isTimeValid(this)">8:00 AM</asp:TextBox>&nbsp;
                                                    <span style="font-size: small">(eg. 8:24 AM)</span>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="moveOrgTimeCloseTb" runat="server" Width="80px" onchange="isTimeValid(this)">5:00 PM</asp:TextBox>&nbsp;
                                                    <span style="font-size: small">(eg. 8:24 AM)</span>
                                                </td>
                                                <td>
                                                    <asp:DropDownList ID="moveOrgTimeZoneDdl" runat="server"></asp:DropDownList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th colspan="2">
                                                    Pickup Instructions
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <asp:TextBox ID="moveOrgInstructionsTb" runat="server" TextMode="MultiLine" MaxLength="500"
                                                        Width="100%" onchange="updateGenInstructions()"></asp:TextBox>
                                                </td>
                                            </tr>
                                        </table>
                                        <asp:HiddenField ID="OriginUpdateHiddenField" runat="server" Value="false" />
                                        <asp:HiddenField ID="originHasError" runat="server" Value="false" />
                                        <asp:Label ID="OriginLabel" runat="server"></asp:Label>
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="OriginUpdateHiddenField" EventName="ValueChanged" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                
                            </div>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="Destination">
                        <ContentSection>
                            <div id="DestinationSection">
                                <asp:UpdatePanel ID="destinationUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <asp:HiddenField ID="HiddenField2" runat="server" />
                                        <asp:HiddenField ID="HiddenField3" runat="server" />
                                        <asp:HiddenField ID="MovementDesAddrIDHiddenField" runat="server" Value="" />
                                        <table style="width: 100%">
                                            <tr>
                                                <th colspan="2">
                                                    Company Name / Location Code
                                                </th>
                                                <td>
                                                    <img id="desLocSearch" src="..\Images\searchIcon.png" class="locSearchIcon" onclick="DconsigneeUpdateSearchBtn_Click()" />
                                                    <a href="javascript:DconsigneeUpdateSearchBtn_Click()">edit</a>
                                                    &nbsp;&nbsp;
                                                    <a href="javascript:clearConsignee()">Clear</a>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:TextBox ID="consigneeAddressIDTb" runat="server" ReadOnly="true" Style="display: none;"></asp:TextBox>
                                                    <asp:TextBox ID="moveDesNameTb" runat="server" MaxLength="50" Width="200px" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)"></asp:TextBox>
                                                    <asp:TextBox ID="moveDesLocCodeTb" runat="server" MaxLength="50" Width="200px" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Address
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveDesAddr1Tb" runat="server" MaxLength="50" Width="200px" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveDesAddr2Tb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Country
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:DropDownList ID="moveDesCountryDdl" runat="server" onchange="loadStates(this)">
                                                    </asp:DropDownList>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th colspan="3">
                                                    City / State / Zip
                                                </th>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:TextBox ID="moveDesCityTb" runat="server" MaxLength="50" Width="200px" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)"></asp:TextBox>
                                                    <asp:DropDownList ID="moveDesUSStateDdl" runat="server" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)">
                                                    </asp:DropDownList>
                                                    <asp:DropDownList ID="moveDesCAStateDdl" runat="server" Style="display: none" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)">
                                                    </asp:DropDownList>
                                                    <asp:DropDownList ID="moveDesMXStateDdl" runat="server" Style="display: none" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)">
                                                    </asp:DropDownList>
                                                    <asp:TextBox ID="moveDesZipTb" runat="server" MaxLength="10" Width="90px" onchange="requiredFieldSatisfied(this); updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Contacnt
                                                </th>
                                                <th>
                                                    Phone
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveDesContactTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="moveDesPhoneTb" runat="server" MaxLength="30" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Company Fax
                                                </th>
                                                <th>
                                                    Company Email
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveDesFaxTb" runat="server" MaxLength="30" Width="200px"></asp:TextBox>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="moveDesEmailTb" runat="server" MaxLength="50" Width="200px" onchange="updateShipmentLbls(this)"></asp:TextBox>
                                                </td>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <th>
                                                    Open Time
                                                </th>
                                                <th>
                                                    Close Time
                                                </th>
                                                <th>
                                                    Time Zone
                                                </th>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <asp:TextBox ID="moveDesTimeOpenTb" runat="server" Width="80px" onchange="isTimeValid(this)">8:00 AM</asp:TextBox>&nbsp;
                                                    <span style="font-size: small">(eg. 8:24 AM)</span>
                                                </td>
                                                <td>
                                                    <asp:TextBox ID="moveDesTimeCloseTb" runat="server" Width="80px" onchange="isTimeValid(this)">5:00 PM</asp:TextBox>&nbsp;
                                                    <span style="font-size: small">(eg. 8:24 AM)</span>
                                                </td>
                                                <td>
                                                    <asp:DropDownList ID="moveDesTimeZoneDdl" runat="server">
                                                    </asp:DropDownList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th colspan="2">
                                                    Delivery Instructions
                                                </th>
                                                <td>
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="3">
                                                    <asp:TextBox ID="moveDesInstructionsTb" runat="server" TextMode="MultiLine" MaxLength="500"
                                                        Width="400px" onchange="updateGenConsigneeLbl()"></asp:TextBox>
                                                </td>
                                            </tr>
                                        </table>
                                        <asp:HiddenField ID="DestinationUpdateHiddenField" runat="server" Value="false" />
                                        <asp:HiddenField ID="destinationHasError" runat="server" Value="false" />
                                        <asp:Label ID="DestinationLabel" runat="server" />
                                    </ContentTemplate>
                                    <Triggers>
                                        <%--<asp:AsyncPostBackTrigger ControlID="DconsigneeLookupGv" />--%>
                                        <asp:AsyncPostBackTrigger ControlID="DestinationUpdateHiddenField" EventName="ValueChanged" />
                                    </Triggers>
                                </asp:UpdatePanel>
                            </div>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="Contacts">
                        <ContentSection>                            
                                <asp:UpdatePanel ID="contactUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <ej:Grid ID="ContactsGrid" runat="server" OnServerEditRow="C_EditEvents_ServerEditRow" OnServerAddRow="C_EditEvents_ServerEditRow" OnServerDeleteRow="C_EditEvents_ServerEditRow">
                                        <Columns>
                                            <ej:Column Field="ContactID" Width="20">
                                                <ValidationRule>
                                                    <ej:KeyValue Key="required" Value="true" />
                                                </ValidationRule>
                                            </ej:Column>
                                            <ej:Column Field="ContactType" HeaderText="ContactType" Width="50" EditType="Dropdown" /> <%--1 --%>
                                            <ej:Column Field="ContactName" HeaderText="ContactName" Width="50"/>
                                            <ej:Column Field="CompanyName" HeaderText="CompanyName" Width="50" />
                                            <ej:Column Field="Address1" HeaderText="Address1" Width="50" />
                                            <ej:Column Field="Address2" HeaderText="Address2" Width="20" />
                                            <ej:Column Field="City" HeaderText="City" Width="50" />
                                            <ej:Column Field="Country" HeaderText="Country" Width="20" EditType="Dropdown" />  <%-- 7 --%>
                                            <ej:Column Field="State" HeaderText="State/Provence" Width="50" EditType="Dropdown" />  <%-- 8 --%>
                                            <ej:Column Field="Zip" HeaderText="Zip" Width="50" />
                                            <ej:Column Field="PhoneNumber" HeaderText="PhoneNumber" Width="50" />
                                            <ej:Column Field="PhoneExt" HeaderText="PhoneExt" Width="20" />
                                            <ej:Column Field="PhoneMobile" HeaderText="PhoneMobile" Width="50" />
                                            <ej:Column Field="Fax" HeaderText="Fax" Width="20" />
                                            <ej:Column Field="Email" HeaderText="Email" Width="20" />
                                            <ej:Column Field="Scac" HeaderText="Scac" Width="20" />
                                            <ej:Column Field="Action" Width="0" />
                                            <ej:Column Field="ContactTypeList" Width="0" DataType="Dropdown" /><%--17--%>
                                            <ej:Column Field="StateUSList" Width="0" DataType="Dropdown" /><%--18--%>
                                            <ej:Column Field="StateCAList" Width="0" DataType="Dropdown" /><%--19--%>
                                            <ej:Column Field="StateMXList" Width="0" DataType="Dropdown" /><%--20--%>
                                        </Columns>
                                        <ClientSideEvents ActionComplete="C_complete" EndAdd="C_endEdit" EndDelete="C_endEdit" EndEdit="C_endEdit" />
                                        <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="true" EditMode="dialogtemplate" DialogEditorTemplateID="#Ctemplate" />
                                        <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel" />
                                    </ej:Grid>
                                        <asp:Label ID="ContactsLabel" runat="server" />
                                        <asp:HiddenField ID="ContactsHasError" runat="server" Value="false" />
                                        <asp:HiddenField ID="ContactsRequiredHiddenField" runat="server" Value="false" />
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="ContactsGrid" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <%--<asp:AsyncPostBackTrigger ControlID="ContactsUpdateHiddenField" EventName="ValueChanged" />--%>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="Line Items">
                        <ContentSection>
                            <asp:UpdatePanel ID="lineitemsUpdatePanel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <ej:Grid ID="LineItemGrid" runat="server" OnServerEditRow="LI_EditEvents_ServerEditRow" OnServerAddRow="LI_EditEvents_ServerEditRow" OnServerDeleteRow="LI_EditEvents_ServerEditRow">
                                        <Columns>
                                            <ej:Column Field="LineitemID" HeaderText="Item Id" IsPrimaryKey="true" AllowEditing="false" Width="0" >
                                                <ValidationRule>
                                                    <ej:KeyValue Key="required" Value="true" />
                                                </ValidationRule>
                                            </ej:Column> <%-- #0 --%>
                                            <ej:Column Field="ProductID" HeaderText="Product ID" Width="100px">
                                                <ValidationRule>
                                                    <ej:KeyValue Key="required" Value="true" />
                                                </ValidationRule>
                                            </ej:Column> <%-- #1 --%>
                                            <ej:Column Field="ProductSKU" HeaderText="Product SKU" Width="100px">
                                                <ValidationRule>
                                                    <ej:KeyValue Key="required" Value="true" />
                                                </ValidationRule>
                                            </ej:Column> <%-- #2 --%>
                                            <ej:Column Field="CommodityDescription" HeaderText="Description" >
                                                <ValidationRule>
                                                    <ej:KeyValue Key="required" Value="true" />
                                                </ValidationRule>
                                            </ej:Column> <%-- #3 --%>
                                            <ej:Column Field="PackageQuantity" HeaderText="Quantity" Width="75px"/> <%-- #4 --%>
                                            <ej:Column Field="PackageWeight" HeaderText="Weight" Format="{0:N}" Width="75px" /> <%-- #5 --%>
                                            <ej:Column Field="PackageWeightUOM" HeaderText="Units" Width="50px" EditType="Dropdown" /> <%-- #6 --%>
                                            <ej:Column Field="PackageType" Width="0" EditType="Dropdown" TemplateID="#templatedList" /> <%-- #7 --%>
                                            <ej:Column Field="PackageQuantityPerUnitLoad" Width="0" /> <%-- #8 --%>
                                            <ej:Column Field="Class" Width="50" EditType="Dropdown" TemplateID="#templatedList"/> <%-- #9 --%>
                                            <ej:Column Field="NMFC" Width="0" /> <%-- #10 --%>
                                            <ej:Column Field="Food" Width="0" EditType="Boolean" /> <%-- #11 --%>
                                            <ej:Column Field="Freezable" Width="0" EditType="Boolean" /> <%-- #12 --%>
                                            <ej:Column Field="Description" Width="0" >
                                                <ValidationRule>
                                                    <ej:KeyValue Key="required" Value="true" />
                                                </ValidationRule>
                                            </ej:Column> <%-- #13 --%>
                                            <ej:Column Field="LadingQuantity" Width="0"/> <%-- #14 --%>
                                            <ej:Column Field="LadingType" Width="0" /> <%-- #15 --%>
                                            <ej:Column Field="NetWeight" Width="0">
                                                <ValidationRule>
                                                    <ej:KeyValue Key="min" Value="0" />
                                                    <%--<ej:KeyValue Key="number" Value="true" />--%>
                                                </ValidationRule>
                                            </ej:Column> <%-- #16 --%>
                                            <ej:Column Field="NetWeightUOM" Width="0" EditType="Dropdown"></ej:Column> <%-- #17 --%>
                                            <ej:Column Field="ValuationRate" Width="0" /> <%-- #18 --%>
                                            <ej:Column Field="ValuationTotal" Width="0" /> <%-- #19 --%>
                                            <ej:Column Field="HazardStr" HeaderText="Hazmat" EditType="Dropdown" Width="75px"/> <%-- #20 --%>
                                            <ej:Column Field="hazUNNumber" Width="0" /> <%-- #21 --%>
                                            <ej:Column Field="hazardClass" Width="0" /> <%-- #22 --%>
                                            <ej:Column Field="hazPackageGroup" Width="0" /> <%-- #23 --%>
                                            <ej:Column Field="hazAdditionalText" Width="0" /> <%-- #24 --%>
                                            <ej:Column Field="hazDoReportQuantityStr" Width="0" EditType="Dropdown"/> <%-- #25 --%>
                                            <ej:Column Field="Action" Width="60"/> <%-- #26 --%>
                                            <ej:Column Field="PackageLength" Width="0" EditType="Numeric" >
                                                <ValidationRule>
                                                    <ej:KeyValue Key="min" Value="0"/>
                                                </ValidationRule>
                                            </ej:Column> <%-- #27 --%>
                                            <ej:Column Field="PackageWidth" Width="0" EditType="Numeric">
                                                <ValidationRule>
                                                    <ej:KeyValue Key="min" Value="0"/>
                                                </ValidationRule>
                                            </ej:Column> <%-- #28 --%>
                                            <ej:Column Field="PackageHeight" Width="0" EditType="Numeric">
                                                <ValidationRule>
                                                    <ej:KeyValue Key="min" Value="0"/>
                                                </ValidationRule>
                                            </ej:Column> <%-- #29 --%>
                                            <ej:Column Field="PackageDimUOM" Width="20" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #30 --%>
                                            <ej:Column Field="ClassDD" Width="20" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #31 --%>
                                            <ej:Column Field="TypeDD" Width="20" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #32 --%>
                                            <ej:Column Field="WeightDD" Width="20" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #33 --%>
                                            <ej:Column Field="DimDD" Width="20" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #34 --%>
                                            <ej:Column Field="Poisonous" Width="0" EditType="Boolean" /> <%-- #35 --%>
                                            <%--<ej:Column Field="LengthDD" Width="0" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #34
                                            <ej:Column Field="CubeDD" Width="0" EditType="Dropdown" TemplateID="#templatedList"></ej:Column> <%-- #35 
                                            <%--<ej:Column Field="Cube" Width="0" /> <%-- #11 --
                                            <ej:Column Field="CubeUOM" Width="0" EditType="Dropdown" /> #12 --%>
                                        </Columns>
                                        <ClientSideEvents ActionComplete="L_complete" EndAdd="L_endEdit" EndDelete="L_endEdit" EndEdit="L_endEdit" />
                                        <EditSettings AllowAdding="true" AllowEditing="true" AllowDeleting="true" EditMode="dialogtemplate" DialogEditorTemplateID="#litemplate" />
                                        <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel" />
                                    </ej:Grid>
                                    <asp:Label ID="LineItemsLabel" runat="server" />
                                    <asp:HiddenField ID="lineitemHasError" runat="server" Value="false" />
                                    <asp:HiddenField ID="LineItemsUpdateHiddenField" runat="server" Value="false" />
                                </ContentTemplate>
                                <Triggers>
                                    <asp:AsyncPostBackTrigger ControlID="LineItemGrid" />
                                </Triggers>
                            </asp:UpdatePanel>
                            <%--<asp:AsyncPostBackTrigger ControlID="LineItemsUpdateHiddenField" EventName="ValueChanged" />--%>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="References">
                        <ContentSection>
                            <div id="ReferencesDiv">
                                <asp:UpdatePanel ID="UpdatePanelReferences" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <ej:Grid ID="ReferencesGrid" runat="server" OnServerEditRow="R_EditEvents_ServerEditRow" OnServerAddRow="R_EditEvents_ServerEditRow" OnServerDeleteRow="R_EditEvents_ServerEditRow">
                                            <Columns>
                                                <ej:Column Field="ReferenceType" HeaderText="Type" EditType="Dropdown" Width="100" TemplateID="#templatedList">
                                                    <ValidationRule>
                                                        <ej:KeyValue Key="required" Value="true" />
                                                    </ValidationRule>
                                                </ej:Column>
                                                <ej:Column Field="ReferenceValue" HeaderText="Value" Width="200" />
                                                <ej:Column Field="ReferencePrint" HeaderText="Print On Bill" EditType="Boolean" Width="50"/>
                                                <ej:Column Field="ReferenceTypeValues" EditType="Dropdown" Width="20" />
                                                <ej:Column Field="Action" Width="20"/>
                                            </Columns>
                                            <ClientSideEvents ActionComplete="R_complete" EndAdd="R_endEdit" EndDelete="R_endEdit" EndEdit="R_endEdit" />
                                            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="true" RowPosition="Bottom" />
                                            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel" />
                                        </ej:Grid>
                                        <asp:Label ID="ReferencesLabel" runat="server" />
                                        <asp:HiddenField ID="ReferencesHasError" runat="server" Value="false" />
                                        <asp:HiddenField ID="ReferencesUpdateHiddenField" runat="server" Value="false" />
                                        <asp:HiddenField ID="HiddenFieldReferencesRequired" runat="server" Value="" />
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="ReferencesGrid" />
                                    </Triggers>
                                </asp:UpdatePanel>
                            </div>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="Accessorials">
                        <ContentSection>
                            <div id="AccessorialsDiv">
                                <asp:UpdatePanel ID="accessorialsUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        <ej:Grid ID="AccessorialsGrid" runat='server' OnServerEditRow="A_EditEvents_ServerEditRow" OnServerAddRow="A_EditEvents_ServerEditRow" OnServerDeleteRow="A_EditEvents_ServerEditRow" >
                                            <Columns>
                                                <ej:Column Field="AccessorialID" IsPrimaryKey="True" Width="0px" />
                                                <ej:Column Field="AccType" HeaderText="Type" Width="100px" EditType="Dropdown" TemplateID="#templatedList"/>
                                                <ej:Column Field="OrgDesAlways" HeaderText="Origin/Destination/Always" Width="100px" EditType="Dropdown" TemplateID="#templatedList"/>
                                                <ej:Column Field="Action" Width="0"/>
                                            </Columns>
                                            <ClientSideEvents ActionComplete="A_complete" EndAdd="A_endEdit" EndDelete="A_endEdit" EndEdit="A_endEdit" />
                                            <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="true" RowPosition="Bottom" />
                                            <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel" />
                                        </ej:Grid>
                                         <asp:HiddenField ID="AccessorialsHasError" runat="server" Value="false" />
                                        <asp:Label ID="AccessorialsLabel" runat="server" />
                                        <asp:HiddenField ID="A_UpdateHiddenField" runat="server" Value="false" />
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="AccessorialsGrid" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <%--AsyncPostBackTrigger--%>
                            </div>
                        </ContentSection>
                    </ej:AccordionItem>
                    <ej:AccordionItem Text="Review">
                        <ContentSection>
                            <div id="ReviewDiv">
                                <asp:UpdatePanel ID="reviewUpdatePanel" runat="server" UpdateMode="Conditional">
                                    <ContentTemplate>
                                        Review of the otder go's here!
                                        <p id="ReviewP"></p>
                                        <asp:Label ID="ReviewErrorLabel" runat="server" />
                                        <asp:Label ID="ReviewLabel" runat="server" />
                                    </ContentTemplate>
                                    <Triggers>
                                        <asp:AsyncPostBackTrigger ControlID="ReviewUpdateHiddenField" EventName="ValueChanged" />
                                    </Triggers>
                                </asp:UpdatePanel>
                                <asp:HiddenField ID="ReviewUpdateHiddenField" runat="server" Value="false" />
                            </div>
                        </ContentSection>
                    </ej:AccordionItem>
                </Items>
            </ej:Accordion>
    </div> <%-- end of active page --%>
    </div>
    <br />
    <%--OriginSearchModalDiv--%>
    <div id="OriginSearchModalDiv" class="Modal2" style="top: 30%; width: 460px; margin-left: 30px">
        <div class="toolbar">
            <table border="0" cellpadding="1" cellspacing="0" width="460px">
                <tr>
                    <td align="left">
                        <b>Your Address Book - Origin </b>
                    </td>
                    <td align="right">
                        <img id="shipperSearchClose" alt="Close" src="../Images/close_icon.png" class="closeModal"
                            onclick="shipperSearchModalCloseBtn_Click()" />
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <div class="toolbar" id="shipperSearchTable">
                <table border="0" cellpadding="1" cellspacing="0" width="460px">
                    <tr>
                        <td style="text-align: right">
                            Name:
                        </td>
                        <td style="text-align: left;">
                            <asp:TextBox ID="shipperNameSearchTb" runat="server" Width="60px"></asp:TextBox>
                        </td>
                        <td style="text-align: right">
                            Code:
                        </td>
                        <td style="text-align: left;">
                            <asp:TextBox ID="shipperLocCodeSearchTb" runat="server" Width="60px"></asp:TextBox>
                        </td>
                        <td style="text-align: right">
                            City:
                        </td>
                        <td style="text-align: left;">
                            <asp:TextBox ID="shipperCitySearchTb" runat="server" Width="60px"></asp:TextBox>
                        </td>
                        <td style="text-align: right">
                            State:
                        </td>
                        <td style="text-align: left;">
                            <asp:TextBox ID="shipperStateSearchTb" runat="server" Width="20px"></asp:TextBox>
                        </td>
                        <td style="text-align: right">
                            <asp:ImageButton ID="shipperSearchBtn" runat="server" ImageUrl="../Images/userMenu.png"
                                CssClass="folderSearchIcon" OnClick="shipperSearchBtn_Click" />
                        </td>
                    </tr>
                </table>
            </div>
            <asp:UpdatePanel ID="shipperSearchPanel" runat="server" UpdateMode="Conditional">
                <ContentTemplate>
                    <div id="OconsigneeSearchResults">
                        <table border="0" cellpadding="3" cellspacing="0">
                            <tr>
                                <td>
                                    <asp:GridView ID="OconsigneeLookupGv" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                        CellPadding="3" CssClass="tableBody500wh" DataKeyNames="AddressBookID" GridLines="None"
                                        PageSize="10" Width="450px" OnPageIndexChanging="OconsigneeLookupGv_PageIndexChanging"
                                        OnSelectedIndexChanged="OconsigneeLookupGv_SelectedIndexChanged" OnRowCreated="OconsigneeLookupGv_RowCreated">
                                        <HeaderStyle CssClass="rowHeaderGridView" />
                                        <AlternatingRowStyle CssClass="rowAlt1" />
                                        <Columns>
                                            <asp:BoundField DataField="AddressBookID" Visible="false" />
                                            <asp:BoundField DataField="CompanyName" HeaderText="Company Name" ItemStyle-Width="200px" />
                                            <asp:BoundField DataField="LocationCode" HeaderText="Location Code" ItemStyle-Width="200px" />
                                            <asp:BoundField DataField="City" HeaderText="City" ItemStyle-Width="200px" />
                                            <asp:BoundField DataField="State" HeaderText="State" />
                                            <asp:BoundField DataField="DefaultLocation" HeaderText="Default" />
                                            <asp:CommandField ShowSelectButton="True" />
                                        </Columns>
                                    </asp:GridView>
                                </td>
                            </tr>
                        </table>
                    </div>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID="shipperSearchBtn" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
    </div>
    <%--DestinationSearchModalDiv--%>
    <div id="DestinationSearchModalDiv" class="Modal2" style="top: 30%; width: 460px;
        margin-left: 659px">
        <div class="toolbar">
            <table border="0" cellpadding="1" cellspacing="0" width="460px">
                <tr>
                    <td align="left">
                        <b>Your Address Book - Consignees </b>
                    </td>
                    <td align="right">
                        <img id="DconsigneeSearchClose" alt="Close" src="../Images/close_icon.png" class="closeModal"
                            onclick="DconsigneeSearchModalCloseBtn_Click()" />
                    </td>
                </tr>
            </table>
        </div>
        <div class="toolbar" id="DconsigneeSeachTable">
            <table border="0" cellpadding="1" cellspacing="0" width="460px">
                <tr>
                    <td style="text-align: right">
                        Name:
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="DconsigneeNameSearchTb" runat="server" Width="60px"></asp:TextBox>
                    </td>
                    <td style="text-align: right">
                        Code:
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="DconsigneeLocCodeSearchTb" runat="server" Width="60px"></asp:TextBox>
                    </td>
                    <td style="text-align: right">
                        City:
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="DconsigneeCitySearchTb" runat="server" Width="60px"></asp:TextBox>
                    </td>
                    <td style="text-align: right">
                        State:
                    </td>
                    <td style="text-align: left;">
                        <asp:TextBox ID="DconsigneeStateSearchTb" runat="server" Width="20px"></asp:TextBox>
                    </td>
                    <td style="text-align: right">
                        <asp:ImageButton ID="DconsigneeSearchBtn" runat="server" ImageUrl="../Images/folderSearchIcon.png"
                            CssClass="folderSearchIcon" OnClick="DconsigneeSearchBtn_Click" />
                    </td>
                </tr>
            </table>
        </div>
        <asp:UpdatePanel ID="DconsigneeSearchPanel" runat="server" UpdateMode="Conditional">
            <ContentTemplate>
                <div id="DconsigneeSearchResults">
                    <table border="0" cellpadding="3" cellspacing="0">
                        <tr>
                            <td>
                                <asp:GridView ID="DconsigneeLookupGv" runat="server" AllowPaging="True" AutoGenerateColumns="False"
                                    CellPadding="3" CssClass="tableBody500wh" DataKeyNames="AddressBookID" GridLines="None"
                                    PageSize="10" Width="450px" OnPageIndexChanging="DconsigneeLookupGv_PageIndexChanging"
                                    OnSelectedIndexChanged="DconsigneeLookupGv_SelectedIndexChanged" OnRowCreated="DconsigneeLookupGv_RowCreated">
                                    <HeaderStyle CssClass="rowHeaderGridView" />
                                    <AlternatingRowStyle CssClass="rowAlt1" />
                                    <Columns>
                                        <asp:BoundField DataField="AddressBookID" Visible="false" />
                                        <asp:BoundField DataField="CompanyName" HeaderText="Company Name" ItemStyle-Width="200px" />
                                        <asp:BoundField DataField="LocationCode" HeaderText="Location Code" ItemStyle-Width="200px" />
                                        <asp:BoundField DataField="City" HeaderText="City" ItemStyle-Width="200px" />
                                        <asp:BoundField DataField="State" HeaderText="State" />
                                        <asp:BoundField DataField="DefaultLocation" HeaderText="Default" />
                                        <asp:CommandField ShowSelectButton="True" />
                                    </Columns>
                                </asp:GridView>
                            </td>
                        </tr>
                    </table>
                </div>
            </ContentTemplate>
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="DconsigneeSearchBtn" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    <%--ContactDiv--%>
    <div>
        <script type="text/template" id="Ctemplate">
            <b>Contact Details</b>
		    <table cellspacing="10">
                <tr>
                    <th>
                        Contact Type
                    </th>
                    <th>
                        Contact Name
                    </th>
                    <th colspan="2">
                        Company Name
                    </th>
                </tr>
                <tr>
                    <td>
                        <input id="ContactID" name="ContactID" value="{{: ContactID}}" class="e-field e-ejinputtext valid" style="width: 50%; height: 28px" />
                        <select id="ContactType" name="ContactType"/>
                    </td>
                    <td>
                        <input id="ContactName" name="ContactName" value="{{: ContactName}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td colspan="2">
                        <input id="CompanyName" name="CompanyName" value="{{: CompanyName}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                </tr>
                <tr>
                    <th>
                        Address 1
                    </th>
                    <th>
                        Address 2
                    </th>
                    <th>
                        Phone Number
                    </th>
                    <th>
                        Phone Extension
                    </th>
                </tr>
                <tr>
                    <td>
                        <input id="Address1" name="Address1" value="{{: Address1}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <input id="Address2" name="Address2" value="{{: Address2}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <input id="PhoneNumber" name="PhoneNumber" value="{{: PhoneNumber}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <input id="PhoneExt" name="PhoneExt" value="{{: PhoneExt}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                </tr>
                <tr>
                    <th>
                        City
                    </th>
                    <th>
                        State
                    </th>
                    <th>
                        Zip Code
                    </th>
                    <th>
                        Country
                    </th>
                </tr>
                <tr>
                    <td>
                        <input id="City" name="City" value="{{: City}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <select id="StateUS" name="StateUS" style="width: 0%; height: 28px"/>
                        <select id="StateCA" name="StateCA" style="width: 0%; height: 28px"/>
                        <select id="StateMX" name="StateMX" style="width: 0%; height: 28px"/>
                    </td>
                    <td>
                        <input id="Zip" name="Zip" value="{{: Zip}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <select id="Country" name="Country" onChange="state_Change(this);">
                            <option value="US">US</option>
						    <option value="CA">CA</option>
                            <option value="MX">MX</option>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th>
                        Mobile Phone
                    </th>
                    <th>
                        Email Address
                    </th>
                    <th>
                        Fax Number
                    </th>
                    <th>
                        SCAC
                    </th>
                </tr>
                <tr>
                    <td>
                        <input id="PhoneMobile" name="PhoneMobile" value="{{: PhoneMobile}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <input id="Email" name="Email" value="{{: Email}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <input id="Fax" name="Fax" value="{{: Fax}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                    <td>
                        <input id="ScacCode" name="ScacCode" value="{{: ScacCode}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
                    </td>
                </tr>
            </table>
        </script>
        <script type="text/javascript">
            function C_endEdit(args) {
                $('#ContactsGrid').ejWaitingPopup("show");
            }

            function C_complete(args) {
                //alert("C_complete");
                $('#ContactsGrid').ejWaitingPopup("hide");
                if (args.requestType == "refresh" || args.requestType == "save") {
                    $('#ContactsGrid').ejWaitingPopup("hide");
                    if ($('#<%= OrderModifiedHiddenField.ClientID %>').val != "true")
                        $('#<%= OrderModifiedHiddenField.ClientID %>').val = "true";
                }

                if (args.requestType == "beginedit" || args.requestType == "add") {

                    if (args.requestType == "beginedit") {
                        $("#ContactsID").attr("disabled", "disabled");
                        $("#ContactType").ejDropDownList({ width: '150px', dataSource: this.model.columns[17].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(1).text());

                        $("#Country").ejDropDownList({ width: '100px' }).ejDropDownList("setSelectedValue", args.row.children().eq(7).text());  //only 3 so look at template below if it expands
                        $("#StateUS").ejDropDownList({ width: '100px', dataSource: this.model.columns[18].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(8).text());
                        $("#StateCA").ejDropDownList({ width: '100px', dataSource: this.model.columns[19].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(8).text());
                        $("#StateMX").ejDropDownList({ width: '100px', dataSource: this.model.columns[20].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(8).text());

                        if ($("#Action").val() == '') $("#Action").attr("value", "U");
                    }
                    else {
                        $("#ContactType").ejDropDownList({ width: '150px', dataSource: this.model.columns[17].dataSource })
                        $("#Country").ejDropDownList({ width: '100px' });
                        $("#StateUS").ejDropDownList({ width: '100px', dataSource: this.model.columns[18].dataSource });
                        $("#StateCA").ejDropDownList({ width: '100px', dataSource: this.model.columns[19].dataSource });
                        $("#StateMX").ejDropDownList({ width: '100px', dataSource: this.model.columns[20].dataSource });

                        if ($("#Action").val() == '') $("#Action").attr("value", "A");
                    }
                }
            }

            function state_Change(args) {
                var resp = args.selectedText;  // the dropdown selected value

                if (resp == 'US') {
                    $("#StateUS").width = '100%';
                    $("#StateCA").width = '0%';
                    $("#StateMX").width = '0%';
                }
                else if (resp == 'CA') {
                    $("#StateUS").width = '0%';
                    $("#StateCA").width = '100%';
                    $("#StateMX").width = '0%';
                }
                else if (resp == 'MX') {
                    $("#StateUS").width = '0%';
                    $("#StateCA").width = '0%';
                    $("#StateMX").width = '100%';
                }
            }
        </script>
    </div>
    <%--LineItemDiv--%>
    <div>
        <script type="text/template" id="litemplate">
            <b>Line Item Details</b>
		    <table cellspacing="10">
			    <tr>
			 	    <td style="text-align: right;"><b>Product:</b></td>
			 	    <td/>
                    <td><input id="LineitemID" name="LineItemID" value="{{: LineitemID}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 0px; height: 0px" /></td>
                    <td><input id="Action" name="Action" value="{{: Action}}" disabled="disabled"class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 20px; height: 28px" /></td>
			    </tr>
			    <tr>
				    <td style="text-align: right;">ID</td>
			 	    <td style="text-align: left">
					    <input id="ProductID" name="ProductID" value="{{: ProductID}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: auto; height: 28px" />
				    </td>
				    <td style="text-align: right;">SKU</td>
			 	    <td style="text-align: left">
					    <input id="ProductSKU" name="ProductSKU" value="{{: ProductSKU}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: auto; height: 28px" />
				    </td>
			    </tr>
			    <tr>
				        <td style="text-align: right;">Description</td>
				        <td style="text-align: left" colspan="3">
					        <input id="Description" name="Description" value="{{: Description}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
				        </td>
			    </tr>
			    <tr>
				    <td style="text-align: right;">Weight</td>
				    <td style="text-align: left">
					    <input type="text" id="PackageWeight" name="PackageWeight" value="{{:PackageWeight}}" min="0"/>
				    </td>
				    <td style="text-align: right;">Weight UOM</td>
				    <td style="text-align: left">
					    <select id="PackageWeightUOM" name="PackageWeightUOM" />
				    </td>
			    </tr>
			    <tr>
				    <td style="text-align: right;">Quantity</td>
				    <td style="text-align: left">
					    <input type="text" id="PackageQuantity" name="PackageQuantity" value="{{:PackageQuantity}}" min="0"/>
				    </td>
				    <td style="text-align: right;">Class</td>
				    <td style="text-align: left">
					    <select id="Class" name="Class"/>
				    </td>
			    </tr>
			    <tr>
				    <td style="text-align: right;">Shiping Type</td>
				    <td style="text-align: left">
					    <select id="PackageType" name="PackageType"/>
				    <td/>
				    <td/>
			    </tr>
                <tr>
				    <td style="text-align: right;">Dimensions (L W H)</td>
				    <td colspan="3">
                        <table width="100%">
                            <tr style="text-align: justify;">
                                <td style="text-align: left;"><input type="text" id="PackageLength" name="PackageLength" value="{{:PackageLength}}" /></td>
                                <td style="text-align: left;"><input type="text" id="PackageWidth" name="PackageWidth" value="{{:PackageWidth}}" /></td>
                                <td style="text-align: left;"><input type="text" id="PackageHeight" name="PackageHeight" value="{{:PackageHeight}}" /></td>
                                <td style="text-align: left;"><select id="PackageDimUOM" name="PackageDimUOM" /></td>
                            </tr>
                        </table>
                    </td>
			    </tr>
			    <tr>
                    <td>Food &shy; <input type="checkbox" id="Food" name="Food" value="{{:Food}}" /></td>
				    <td>Freezable &shy; <input type="checkbox" id="Freezable" name="Freezable" value="{{:Freezable}}" /></td>
                    <td>Poisonous &shy; <input type="checkbox" id="Poisonous" name="Poisonous" value="{{:Poisonous}}" /></td>
			    </tr>
			    <tr>
				    <td style="text-align: right;"><b>Lading:</b></td>
				    <td/>
			    </tr>
			    <tr>
				        <td style="text-align: right;">Description</td>
				        <td style="text-align: left" colspan="3">
					        <input id="CommodityDescription" name="CommodityDescription" value="{{: CommodityDescription}}" class="e-field e-ejinputtext valid" style="width: 100%; height: 28px" />
				        </td>
			    </tr>
			    <tr>
				    <td style="text-align: right;">Quantity</td>
				    <td style="text-align: left">
					    <input type="text" id="LadingQuantity" name="LadingQuantity" value="{{:LadingQuantity}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable"/>
				    </td>
				    <td style="text-align: right;">Type</td>
				    <td style="text-align: left">
					    <input type="text" id="LadingType" name="LadingType" value="{{:LadingType}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable"/>
				    </td>
			    </tr>
                <tr>
				    <td style="text-align: right;">Value</td>
				    <td style="text-align: left">
					    <input type="text" id="ValuationRate" name="ValuationRate" value="{{:ValuationRate}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable"/>
				    </td>
				    <td style="text-align: right;">Value Total</td>
				    <td style="text-align: left">
					    <input type="text" id="ValuationTotal" name="ValuationTotal" value="{{:ValuationTotal}}" disabled="disabled" class="e-field e-ejinputtext valid e-disable"/>
				    </td>
			    </tr>
                <tr>
				    <td style="text-align: right;">Net Weight</td>
				    <td style="text-align: left">
					    <input type="text" id="NetWeight" name="NetWeight" value="{{:NetWeight}}" />
				    </td>
				    <td style="text-align: right;">Net Weight UOM</td>
				    <td style="text-align: left">
					    <select id="NetWeightUOM" name="NetWeightUOM" />
				    </td>
			        </tr>
			        <tr>
                    <td style="text-align: right;"><b>Hazmat:</b></td>
				    <td style="text-align: left">
					    <select id="HazardStr" name="HazardStr" onChange="haz_Change(this);" >
						    <option value="Yes">Yes</option>
						    <option value="No" selected >No</option>
					    </select>
				    </td>
				    <td/>
				    <td/>
			        </tr>
			        <tr class="Haz">
				    <td style="text-align: right;">UN Number</td>
				    <td style="text-align: left">
					    <input type="text" id="hazUNNumber" name="hazUNNumber" value="{{:hazUNNumber}}" />
				    </td>
				    <td style="text-align: right;">Class</td>
				    <td style="text-align: left">
					    <input type="text" id="hazardClass" name="hazardClass" value="{{:hazardClass}}" />
				    </td>
			        </tr>
			        <tr class="Haz">
				    <td style="text-align: right;">Package Group</td>
				    <td style="text-align: left">
					    <input type="text" id="hazPackageGroup" name="hazPackageGroup" value="{{:hazPackageGroup}}" />
				    </td>
				    <td style="text-align: right;">Do Report Quantity</td>
				    <td style="text-align: left">
                        <select id="hazDoReportQuantitySTR" name="hazDoReportQuantitySTR">
					  	    <option value="Yes">Yes</option>
					  	    <option value="No" selected >No</option>
					    </select>
				    </td>
			        </tr>
			        <tr class="Haz">
				    <td style="text-align: right;">hazAdditionalText:</td>
				    <td colspan="4" />
			        </tr>
			        <tr class="Haz">
			  	    <td style="text-align: left" colspan="4">
					    <input type="text" id="hazAdditionalText" name="hazAdditionalText" value="{{:hazAdditionalText}}" Width="100%" />
				    </td>
			    </tr>
		    </table>
        </script>
        <script type="text/javascript">
            function L_endEdit(args) {
                $('#LineItemGrid').ejWaitingPopup("show");
            }

            function L_complete(args) {

                //alert("L_complete");
                $('#LineItemGrid').ejWaitingPopup("hide");

                if (args.requestType == "beginedit" || args.requestType == "add") {

                    $("#PackageQuantity").ejNumericTextbox({ value: parseFloat($("#PackageQuantity").val()), width: "116px", height: "24px", decimalPlaces: 0, minValue: 0 });
                    $("#PackageWeight").ejNumericTextbox({ value: parseFloat($("#PackageWeight").val()), width: "116px", height: "24px", decimalPlaces: 2, minValue: 0 });
                    $("#ValuationRate").ejCurrencyTextbox({ value: parseFloat($("#ValuationRate").val()), showSpinButton: false, width: "75px", height: "24px", decimalPlaces: 2 });
                    $("#ValuationTotal").ejCurrencyTextbox({ value: parseFloat($("#ValuationTotal").val()), showSpinButton: false, width: "75px", height: "24px", decimalPlaces: 2 });
                    $("#LadingQuantity").ejNumericTextbox({ value: parseFloat($("#LadingQuantity").val()), width: "75px", height: "24px", decimalPlaces: 0 });
                    $("#NetWeight").ejNumericTextbox({ value: parseFloat($("#NetWeight").val()), width: "75px", height: "24px", decimalPlaces: 0 });
                    $("#hazUNNumber").ejNumericTextbox({ value: parseFloat($("#hazUNNumber").val()), width: "36px", height: "24px", decimalPlaces: 0 });
                    $("#hazDoReportQuantitySTR").ejDropDownList({ width: '100px' });

                    if (args.requestType == "beginedit") {
                        $("#LineitemID").attr("disabled", "disabled");
                        $("#PackageType").ejDropDownList({ width: '100px', dataSource: this.model.columns[32].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(7).text());
                        $("#PackageWeightUOM").ejDropDownList({ width: '100px', dataSource: this.model.columns[33].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(6).text());
                        $("#Class").ejDropDownList({ width: '100px', dataSource: this.model.columns[31].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(9).text());
                        $("#PackageDimUOM").ejDropDownList({ width: '75px', dataSource: this.model.columns[34].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(30).text());
                        $("#NetWeightUOM").ejDropDownList({ width: '100px', dataSource: this.model.columns[33].dataSource }).ejDropDownList("setSelectedValue", args.row.children().eq(17).text());
                        $("#hazDoReportQuantitySTR").ejDropDownList("setSelectedValue", args.row.children().eq(22).text());
                        $("#HazardStr").ejDropDownList({ width: '75px', change: 'haz_Change' }).ejDropDownList("setSelectedValue", args.row.children().eq(20).text());

                        if ($("#Action").val() == '') $("#Action").attr("value", "U");
                    }
                    else {
                        $("#HazardStr").ejDropDownList({ width: '75px', change: 'haz_Change' });
                        $("#Class").ejDropDownList({ width: '100px', dataSource: this.model.columns[31].dataSource });
                        $("#PackageType").ejDropDownList({ width: '100px', dataSource: this.model.columns[32].dataSource });
                        $("#PackageWeightUOM").ejDropDownList({ width: '100px', dataSource: this.model.columns[33].dataSource });
                        $("#NetWeightUOM").ejDropDownList({ width: '100px', dataSource: this.model.columns[33].dataSource });
                        $("#PackageDimUOM").ejDropDownList({ width: '75px', dataSource: this.model.columns[34].dataSource });

                        if ($("#Action").val() == '') $("#Action").attr("value", "A");
                    }
                }
            }

            function haz_Change(args) {
                var resp = args.selectedText;  // the dropdown selected value
                var myClasses = document.querySelectorAll('.Haz'), i = 0, l = myClasses.length;
                for (i; i < l; i++) {
                    if (resp == 'Yes')
                        myClasses[i].style.visibility = 'visible';
                    else
                        myClasses[i].style.visibility = 'collapse';
                }
            }
        </script>
    </div>
    <%--ReferencesGridDIV END--%>
    <div>
        <script type="text/javascript">
            function R_endEdit(args) {
                $('#ReferencesGrid').ejWaitingPopup("show");
            }

            function R_complete(args) {
                //alert("R_complete");
                $('#ReferencesGrid').ejWaitingPopup("hide");

                if (args.requestType == "beginedit")
                    $("#ReferenceType").ejDropDownList("setSelectedValue", args.row.children().eq(0).text());
            }
        </script>
    </div>
    <%--AccessorialsGridDIV END--%>
    <div>
        <script type="text/javascript">
            function A_endEdit(args) {
                $('#AccessorialsGrid').ejWaitingPopup("show");
                validateContent_Accessorials();
            }

            function A_complete(args) {
                //alert("A_complete");
                $('#AccessorialsGrid').ejWaitingPopup("hide");

                if (args.requestType == "beginedit") {
                    $("#AccType").ejDropDownList("setSelectedValue", args.row.children().eq(1).text());
                    $("#OrgDesAlways").ejDropDownList("setSelectedValue", args.row.children().eq(2).text());
                }
            }
        </script>
    </div>
</asp:Content>